--Enter values

DECLARE @SYSTEM_ID smallint = 205
DECLARE @SYSTEM_NAME nvarchar(max) = 'B3010 ROOF COVERINGS'
DECLARE @UII_CODE nvarchar(max) = 'B30'
DECLARE @NEW_CMC_ID int = 70223
DECLARE @COMPONENT_ID smallint = 2051
DECLARE @COMPONENT_NAME nvarchar(max) = 'B1020 ROOF CONSTRUCTION'
DECLARE @MATERIAL_CATEGORY_ID smallint = 2065
DECLARE @MATERIAL_CATEGORY_NAME nvarchar(max) = 'B301001 STEEP SLOPE ROOF SYSTEMS'
DECLARE @COMPONENT_TYPE_ID smallint = 9543
DECLARE @COMPONENT_TYPE_NAME nvarchar(max) = 'Solar Tiles'
DECLARE @sub_COMPONENT_ID smallint = 1860
DECLARE @SUB_COMPONENT_NAME nvarchar(max) = 'Surface'
DECLARE @UOM_ID smallint = 3
DECLARE @COST_BOOK_ID uniqueidentifier = 'E295F583-1C82-4E2C-B383-F6DC2B1B464C'
DECLARE @COST_YEAR smallint = 2023
DECLARE @PAINT_COST float = 0
DECLARE @REPLACE_COST float = 269.09
DECLARE @REMOVE_COST float = 0
DECLARE @SERVICE_LIFE_BOOK_ID uniqueidentifier = '6CA3AC29-30DB-4236-A522-7533D344BD5D'
DECLARE @SERVICE_LIFE smallint = 20
DECLARE @MAINTENANCE_LIFE smallint = 10
DECLARE @PAINT_LIFE smallint = 8
--------------------------------------------





--VALUES IN THIS BLOCK ARE CONSTANT AND DO NOT USUALLY NEED TO CHANGE--
DECLARE @comp_is_equip smallint = 1
DECLARE @CMC_scomp_wgt_fact smallint = 1
DECLARE @cmc_crit_list_link nvarchar(max) = NULL
DECLARE @CMC_DISTRESS_SET smallint = 1
DECLARE @IS_UII smallint = 1
DECLARE @CMC_CII float = 0.5
DECLARE @CMC_Adj_Factor float = 1.9
DECLARE @USER_EDITED smallint = 0
DECLARE @COST_ACTIVITY_REPLACE uniqueidentifier = 'B2083E53-535C-483B-8AFD-4CDD63F8F90B'
DECLARE @COST_ACTIVITY_PAINT uniqueidentifier = '64490E3E-F791-4050-839F-89A931704DE7'
DECLARE @COST_ACTIVITY_REMOVE uniqueidentifier = 'AA56F199-DC8A-4CBA-BE5D-61657F041831'
DECLARE @HISTORIC float = -1
DECLARE @HOUSING float = -1
DECLARE @PERFLOOR float = 0
DECLARE @PERDWELLINGUNIT float = 0
DECLARE @COST_REPAIR_FACTOR float = 1.9
DECLARE @HIGHSECURITY float = NULL
DECLARE @ADDITIONAL_ACCESS float = NULL
DECLARE @HVAC_ZONE smallint = 0
DECLARE @RSL_Family uniqueidentifier = '4864E8D3-03BD-44C5-ACDE-25E8626FFDD0'
DECLARE @REFERENCE_LEVEL int = 6
DECLARE @VARIES_BY_CI bit = 1
DECLARE @RSL_Terminal_CI smallint = 40
--------------------------------------------------------------------------


----SYSTEM INSERT
--INSERT INTO[dbo].[RO_System]([SYS_ID],[SYS_DESC],[UII_CODE],[IS_UII])VALUES(@SYSTEM_ID,@SYSTEM_NAME,@UII_CODE,@IS_UII)


----COMPONENT
--INSERT INTO [dbo].[RO_Component]([COMP_ID],[COMP_SYS_LINK],[COMP_DESC],[IS_UII],[UII_CODE],[COMP_IS_EQUIP]) VALUES (@COMPONENT_ID,@SYSTEM_ID,@component_name,@is_uii,@uii_code,@comp_is_equip)

----MATERIAL CATEGORY
--INSERT INTO [dbo].[RO_Material_Category]([MAT_CAT_ID],[MAT_CAT_DESC])VALUES(@MATERIAL_CATEGORY_ID,@MATERIAL_CATEGORY_NAME)


----SUB COMPONENT
--INSERT INTO [dbo].[RO_Sub_Component]([SUB_COMP_ID],[SUB_COMP_DESC],[SUB_COMP_UNITS_ID])VALUES(@SUB_COMPONENT_ID,@SUB_COMPONENT_NAME,@UOM_ID)

----CMC SUB-COMPONENT
--INSERT INTO [dbo].[RO_CMC_SubComp] ([CMC_SCOMP_CMC_LINK],[CMC_SCOMP_SCOMP_LINK],[CMC_SCOMP_WGT_FACT],[CMC_SCOMP_ID],[CMC_Distress_Set],[CMC_SCOMP_CRIT_LIST_LINK])VALUES(@NEW_CMC_ID,@sub_COMPONENT_ID,@cmc_scomp_wgt_fact,@sub_COMPONENT_ID,@cmc_DISTRESS_SET,@CMC_CRIT_LIST_LINK)

--COMPONENT TYPE
INSERT INTO [dbo].[RO_Component_Type]([COMP_TYPE_ID],[COMP_TYPE_DESC])VALUES(@COMPONENT_TYPE_ID,@COMPONENT_TYPE_NAME)


--CMC
INSERT INTO dbo.RO_CMC (CMC_ID,CMC_COMP_LINK,CMC_MCAT_LINK,CMC_CTYPE_LINK,CMC_UoM,CMC_COMP_UII_LINK,CMC_Adj_Factor,CMC_CII) VALUES (@NEW_CMC_ID,@COMPONENT_ID,@MATERIAL_CATEGORY_ID,@COMPONENT_TYPE_ID,@UOM_ID,@COMPONENT_ID,@CMC_Adj_Factor,@CMC_CII)

--COST_RECORD
INSERT INTO [dbo].[Cost_Record] ([Cost_ID],[MOA_Link],[UserEdited],[Cost_Year],[Activity_Link],[Key1],[Unit_Cost],[Historic],[Housing],[PerFloor],[PerDwellingUnit],[Cost_Repair_Factor],[HighSecurity],[AdditionalAccess])VALUES(NEWID(),@cost_book_id,@user_edited,@COST_YEAR,@COST_ACTIVITY_PAINT,@NEW_CMC_ID,@PAINT_COST,@HISTORIC,@HOUSING,@PERFLOOR,@PERDWELLINGUNIT,@COST_REPAIR_FACTOR,@HIGHSECURITY,@ADDITIONAL_ACCESS)
INSERT INTO [dbo].[Cost_Record] ([Cost_ID],[MOA_Link],[UserEdited],[Cost_Year],[Activity_Link],[Key1],[Unit_Cost],[Historic],[Housing],[PerFloor],[PerDwellingUnit],[Cost_Repair_Factor],[HighSecurity],[AdditionalAccess])VALUES(NEWID(),@cost_book_id,@user_edited,@COST_YEAR,@COST_ACTIVITY_REPLACE,@NEW_CMC_ID,@REPLACE_COST,@HISTORIC,@HOUSING,@PERFLOOR,@PERDWELLINGUNIT,@COST_REPAIR_FACTOR,@HIGHSECURITY,@ADDITIONAL_ACCESS)
INSERT INTO [dbo].[Cost_Record] ([Cost_ID],[MOA_Link],[UserEdited],[Cost_Year],[Activity_Link],[Key1],[Unit_Cost],[Historic],[Housing],[PerFloor],[PerDwellingUnit],[Cost_Repair_Factor],[HighSecurity],[AdditionalAccess])VALUES(NEWID(),@cost_book_id,@user_edited,@COST_YEAR,@COST_ACTIVITY_REMOVE,@NEW_CMC_ID,@REMOVE_COST,@HISTORIC,@HOUSING,@PERFLOOR,@PERDWELLINGUNIT,@COST_REPAIR_FACTOR,@HIGHSECURITY,@ADDITIONAL_ACCESS)

--RSL RECORD
INSERT INTO [dbo].[RSL_Record]([RSL_ID],[RSL_Set_Link],[HVAC_Zone],[SERVICE_LIFE],[MAINTENANCE_LIFE],[PAINT_LIFE],[RSL_Family],[Key1],[Reference_Level],[User_Edited],[RSL_System],[Varies_By_CI],[RSL_Terminal_CI])VALUES(NEWID(),@SERVICE_LIFE_BOOK_ID,@HVAC_Zone,@SERVICE_LIFE,@MAINTENANCE_LIFE,@PAINT_LIFE,@RSL_FAMILY,@NEW_CMC_ID,@REFERENCE_LEVEL,@USER_EDITED,@SYSTEM_ID,@VARIES_BY_CI,@RSL_Terminal_CI)









